com.pdfunit.validators

## Class PermissionValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.PermissionValidator

-     @DoNotObfuscate
      public final class PermissionValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for permissions in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PermissionValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PermissionValidator` | `toAllowScreenReaders(boolean permissionType)` This method verifies that the current PDF document has the permission, indicated by the name of this method.
    `PermissionValidator` | `toAssembleDocument(boolean permissionType)` This method verifies that the current PDF document has the permission, indicated by the name of this method.
    `PermissionValidator` | `toExtractContent(boolean permissionType)` This method verifies that the current PDF document has the permission, indicated by the name of this method.
    `PermissionValidator` | `toFillInFields(boolean permissionType)` This method verifies that the current PDF document has the permission, indicated by the name of this method.
    `PermissionValidator` | `toModifyAnnotations(boolean permissionType)` This method verifies that the current PDF document has the permission, indicated by the name of this method.
    `PermissionValidator` | `toModifyContent(boolean permissionType)` This method verifies that the current PDF document has the permission, indicated by the name of this method.
    `PermissionValidator` | `toPrintInDegradedQualityOnly(boolean permissionType)` This method verifies that the current PDF document has the permission, indicated by the name of this method.
    `PermissionValidator` | `toPrintInHighQuality(boolean permissionType)` This method verifies that the current PDF document has the permission, indicated by the name of this method.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionValidator

          protected PermissionValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### toPrintInHighQuality

          @Guarded
          public PermissionValidator toPrintInHighQuality(boolean permissionType)

      This method verifies that the current PDF document has the permission, indicated by the name of this method.

    - #### toPrintInDegradedQualityOnly

          @Guarded
          public PermissionValidator toPrintInDegradedQualityOnly(boolean permissionType)

      This method verifies that the current PDF document has the permission, indicated by the name of this method.

    - #### toModifyContent

          @Guarded
          public PermissionValidator toModifyContent(boolean permissionType)

      This method verifies that the current PDF document has the permission, indicated by the name of this method.

    - #### toModifyAnnotations

          @Guarded
          public PermissionValidator toModifyAnnotations(boolean permissionType)

      This method verifies that the current PDF document has the permission, indicated by the name of this method.

    - #### toExtractContent

          @Guarded
          public PermissionValidator toExtractContent(boolean permissionType)

      This method verifies that the current PDF document has the permission, indicated by the name of this method.

      This method gives intentionally the same result, as 'toExtractContent()'.

    - #### toFillInFields

          @Guarded
          public PermissionValidator toFillInFields(boolean permissionType)

      This method verifies that the current PDF document has the permission, indicated by the name of this method.

    - #### toAllowScreenReaders

          @Guarded
          public PermissionValidator toAllowScreenReaders(boolean permissionType)

      This method verifies that the current PDF document has the permission, indicated by the name of this method.

    - #### toAssembleDocument

          @Guarded
          public PermissionValidator toAssembleDocument(boolean permissionType)

      This method verifies that the current PDF document has the permission, indicated by the name of this method.

Copyright (C) PDFUnit.com. See here for license.